//Example 1
//Pick a function out of the list 10 times, and activate //them after done picking.
#include <stdio.h>

void Square (int*,int*);
void Cube (int*, int*);
void Swap (int*, int*);
void GetVals(int*, int*);
void PrintVals(int, int);
//----------------------------------------------------------------
int main()
{
	int valOne=1, valTwo=2;
	int choice, i;
	const int MaxArray =10;
	void (*pFuncArray[MaxArray])(int*, int*);
	for (i=0;i<MaxArray;i++)
	{
		printf("(1)Change Values (2)Square (3)Cube (4)Swap:\n");		
		scanf("%d",&choice);
		switch (choice)
		{
			case 1:	pFuncArray[i] = GetVals; break;
			case 2:	pFuncArray[i] = Square; break;
			case 3:	pFuncArray[i] = Cube; break;
			case 4:	pFuncArray[i] = Swap; break;
			default:pFuncArray[i] = 0;
		}
	}

	for (i=0;i<MaxArray; i++)
	{
		if ( pFuncArray[i] == 0 )
			continue;
		pFuncArray[i](&valOne,&valTwo);
		PrintVals(valOne,valTwo);
	}
	return 0;
}
//----------------------------------------------------------------
void Square (int* px,int* py)
{
	*px =  (*px)*(*px);
	*py =  (*py)*(*py);
}
//----------------------------------------------------------------

void Cube (int* px, int* py)
{
	*px = (*px)*(*px)*(*px);
	*py = (*py)*(*py)*(*py);
}
//----------------------------------------------------------------
void Swap (int* px, int* py)
{
	int temp = *px;
	*px = *py;
	*py = temp;
}
//----------------------------------------------------------------
void GetVals(int* px, int* py)
{
	printf("enter new value for val1:\n");
	scanf("%d",px);

	printf("enter new value for val2:\n");
	scanf("%d",py);
}
//----------------------------------------------------------------

void PrintVals(int x, int y)
{
	printf("x value: %d, y value:%d .\n", x, y); 
}
//----------------------------------------------------------------
